> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List suppliers

> List suppliers

### Query parameters

<ParamField query="name" type="string" />

<ParamField query="country" type="string" />

<ParamField query="active_only" type="boolean" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="SupplierListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/suppliers' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "suppliers": [
      {
        "contact_name": null,
        "country": null,
        "created_at": "string",
        "currency": "string",
        "email": null,
        "id": "string",
        "is_active": true,
        "lead_time_days": null,
        "minimum_order": null,
        "name": "string",
        "payment_terms": "string",
        "phone": null,
        "supplier_code": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
